# Generated by Django 3.2.10 on 2021-12-09 15:01

from django.conf import settings
from django.contrib.auth import get_user_model
from django.db import migrations, models


def migrate_data(apps, schema_editor):
    User = apps.get_model('auth', 'User')
    Schedule = apps.get_model('main', 'Schedule')
    for schedule in Schedule.objects.all():
        schedule.owners.set(User.objects.all())


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('main', '0002_schedule_uuid'),
    ]

    operations = [
        migrations.AddField(
            model_name='schedule',
            name='owners',
            field=models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name='Owners'),
        ),
        migrations.RunPython(migrate_data),
    ]
